<?php
			session_start();

			require_once("./model/gestion_model.php");
			require_once("./model/gestion_model2.php");

			date_default_timezone_set("America/Lima");

			$ges = new gestion_model();
			$ges2 = new gestion_model2();

			$almacen_ccosto = $ges->get_almacen_ccosto();
			$tecnicos = $ges->get_tecnicos();
			$trabajadores = $ges2->get_trabajadores();
			$productos = $ges->get_producto_servicio(1);

			// SESIÓN INICIADA

			if(isset($_SESSION['id_usuario_almacen'])){

				require_once("./view/recojo_cliente.phtml");
				
			}

			if(isset($_POST['REGISTRAR'])){

				require_once("./view/cargando.phtml");

				$i = 0;

				$id_asignacion = $_POST['almacen'];
				$id_tecnico = $_POST['tecnico'];

				foreach ($_POST['sku_ps'] as $val) {

					$sku = $_POST['sku_ps'][$i];
					$cantidad = $_POST['cantidad_ps'][$i];
					$serie = $_POST['serie'][$i];

					$id_producto = $ges->get_id_producto($sku);


					$resultado = $ges->set_historial_recojo_cliente($id_producto['id_producto_servicio'],$id_asignacion,$cantidad,$serie,$id_tecnico,9);

					$i++;

				}

				echo '<script type="text/javascript">alert("SE RECOGIÓ CORRECTAMENTE");window.location.href="recojo_cliente.php";</script>';
				
			}


?>